How to use BRepFeat_Gluer

I created several TopoDS_Shapes (Solids) with BRepOffsetAPI_ThruSections.

All I want to do, is joining these Shapes in order to get one big Solid.

This works fine with BRepAlgoAPI_Fuse but takes very, very long time!

The Shapes I want to "fuse" do only have one Face in common. So I tried to use BRepFeat_Gluer... I'm not sure how to use this class... trying like this always causes a crash when running the program:

BRepFeat_Gluer Gluer_Algo;
Gluer_Algo.Init(Gluer_Result, Solids[i]);
Gluer_Algo.Bind(gluerface[i], gluerface[i]);
Gluer_Ergebnis = Gluer_Algo.Shape();

How should BRepFeat_Gluer be used correctly?

thanks in advance!

EraserIMP's picture

Isn't there anyone who has successfully used BRepFeat_Gluer?

jelle's picture

aren't you glueing a face to itself?
Gluer_Algo.Bind(gluerface[i], gluerface[i]);

Maili's picture

I didn't try but building a shell from faces (generated by BRepOffsetAPI_ThruSections) and then building solid from shell (BRep_Builder) may work.